ExportControllerQueryExports Method |
POST /Export/Query
Gets multiple exports.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public HttpResponseMessage QueryExports(
[FromBodyAttribute] QueryExportResultInfoOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QueryExports (
<FromBodyAttribute> options As QueryExportResultInfoOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
HttpResponseMessage^ QueryExports(
[FromBodyAttribute] QueryExportResultInfoOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QueryExports :
[<FromBodyAttribute>] options : QueryExportResultInfoOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryExportResultInfoOptions
An object that carries all needed information about the exports to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageAn array of
ExportResultInfoData objects, or a status code indicating the problem.
See Also